Foxit PDF RDK

Public Member Functions | Static Public Attributes | List of all members
StructTreeEntity Class Reference
Inheritance diagram for StructTreeEntity:

## Public Member Functions
| constructor ()
| Constructor.
| GetPage ()
| Get the related PDF page. More...
| GetType ()
| Get structure tree entity type. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Attributes
static | e_StructTreeEntityTypeElement
| Structure tree entity type: Element, which represents a structure element.
static | e_StructTreeEntityTypeMarkedContent
| Structure tree entity type: MarkedContent, which represents a marked-content item.
static | e_StructTreeEntityTypeObjectContent
| Structure tree entity type: objectContent, which represents a PDF object content item, such as annotation and XObject.
static | e_UnknownType
| Enumeration for structure tree entity type. More...

## Detailed Description

This class represents structure tree entity.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ GetPage()

StructTreeEntity.GetPage | ( |  | ) |

Get the related PDF page.

Returns
  A PDF page object which is the related PDF page.

## ◆ GetType()

StructTreeEntity.GetType | ( |  | ) |

Get structure tree entity type.

Returns
  Structure tree entity type. Please refer to values starting from StructTreeEntity.e_StructTreeEntityTypeElement and this would be one of these values.

## ◆ IsEmpty()

StructTreeEntity.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## Member Data Documentation

## ◆ e_UnknownType

StructTreeEntity.e_UnknownType
| static

Enumeration for structure tree entity type.

Values of this enumeration should be used alone.

Structure tree entity type: unknown.